using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_PageSystem_PageItem_Move : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("移动页面项", "网站后台", "移动页面项", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        访问.验证权限("8");
        String 操作 = Request.QueryString["Act"];
        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        bool 是否内容 = Convert.ToBoolean(Request.QueryString["iscontent"]);
        String PID = Request.QueryString["pid"];

        页面 页面 = new 页面(ID, true, 是否内容);
        if (操作 == "prev")
            页面.上移项(PID);
        else
            页面.下移项(PID);
        页面.保存XML代码();
        页面.保存代码(访问);
        页面.保存管理代码(访问);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("移动页面项", 访问.用户["昵称"].ToString());

        Response.Redirect("PageItem.aspx?ID=" + ID + "&iscontent=" + 是否内容);
    }
}
